/* Callbacks */
boolean set_prop_x(char *bName);
boolean set_prop_y(char *bName);
boolean set_prop_wd(char *bName);
boolean set_prop_ht(char *bName);
boolean set_prop_col1();
boolean set_prop_col2();
boolean set_prop_col3();
boolean set_prop_col4();
boolean prop_col_pick(int, int, DragStatusType);
boolean prop_col_scroll(int, int, DragStatusType);
boolean prop_col_btn(char *bName);
boolean prop_func_pick(int, int, DragStatusType);
boolean prop_func_scroll(int, int, DragStatusType);
boolean prop_func_btn(char *bName);
boolean toggle_prop_bool1();
boolean toggle_prop_bool2();
boolean pname_prop(int, int, DragStatusType);
boolean ptext_prop(int, int, DragStatusType);
boolean pfunc_prop(int, int, DragStatusType);
boolean set_prop_func();
boolean prop_ok();
boolean prop_cancel();
boolean prop_delete();
boolean set_prop_active(char *);
boolean set_prop_labpos(char *);

/* "Public" initializers */
void ButtonToProp(IEButton *, IEWindow *);
void PropToButton();
void FieldToProp(IEField *, IEWindow *);
void PropToField();
void DragAreaToProp(IEDragArea *, IEWindow *);
void PropToDragArea();
void GraphicToProp(IEGraphic *, IEWindow *);
void PropToGraphic();
void PopupToProp(IEPopup *);
void PropToPopup();

typedef struct {
	int x, y, wd, ht;
	BigString name, text;	
	BigString color[4];
	BigString funcName;
	ButtonStatusType active;
	BtnLabPosType labpos;
	boolean bool1, bool2;
	IEWindow *objWind;
	} PropertyRec;